AlertHandle.IconType (install4j API)
Description: declaration: package: com.install4j.api.test.ui, interface: AlertHandle, enum: IconType

# Enum Class AlertHandle.IconType

java.lang.Object
java.lang.Enum<AlertHandle.IconType>
com.install4j.api.test.ui.AlertHandle.IconType

All Implemented Interfaces:
  `Serializable, Comparable<AlertHandle.IconType>, Constable`

Enclosing interface:
  `AlertHandle`

public static enum AlertHandle.IconType extends Enum<AlertHandle.IconType>
The icon shown by the alert, matching `JOptionPane`'s message-type constants.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ERROR`
  `INFO`
  `PLAIN`
  `QUESTION`
  `WARNING`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AlertHandle.IconType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AlertHandle.IconType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### INFO

    public static final AlertHandle.IconType INFO

  - ### WARNING

    public static final AlertHandle.IconType WARNING

  - ### ERROR

    public static final AlertHandle.IconType ERROR

  - ### QUESTION

    public static final AlertHandle.IconType QUESTION

  - ### PLAIN

    public static final AlertHandle.IconType PLAIN

- ## Method Details

  - ### values

    public static AlertHandle.IconType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AlertHandle.IconType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null